Subject: [PATCH 1/4] drivers/bus: make brcmstb_gisb.c driver explicitly non-modular

From: [email-masked] (Florian Fainelli)
Date: Tue, 12 Apr 2016 11:48:21 -0700

On 06/04/16 18:26, Brian Norris wrote:
> On Sun, Mar 27, 2016 at 05:10:55PM -0400, Paul Gortmaker wrote:
>> The Kconfig for this driver is currently:
>>
>> config BRCMSTB_GISB_ARB
>>         bool "Broadcom STB GISB bus arbiter"
>>
>> ...meaning that it currently is not being built as a module by anyone.
>> Lets remove all modular references, so that when reading the driver
>> there is no doubt it is builtin-only.
>>
>> Since module_init translates to device_initcall in the non-modular
>> case, the init ordering remains unchanged with this commit.
>>
>> Cc: Brian Norris <[email-masked]>
>> Cc: Gregory Fong <[email-masked]>
>> Cc: Florian Fainelli <[email-masked]>
>> Cc: linux-arm-kernel at lists.infradead.org
>> Signed-off-by: Paul Gortmaker <[email-masked]>
> 
> I think this driver probably doesn't make too much sense as a module
> anyway (among other things, we can't hook the ARM fault handler beyond
> init time, as it's marked __init). So:
> 
> Acked-by: Brian Norris <[email-masked]>
> 
> Might be good to get Florian's ack though, as I'm not using this
> platform any more.

I concur with Brian here, your changes look good:

Acked-by: Florian Fainelli <[email-masked]>

Thanks Paul
-- 
Florian